<?php

/**
 * 
 *
 */

class Admin_DefaultPresenter extends Admin_BasePresenter
{

	public function actionCleanCache()
	{
		$cache = Environment::getCache();
		$cache->clean(array(
			Cache::ALL => true
		));
		$this->flashMessage('Dočasná data byla úspěšně smazána.');
		$this->redirect('default');
	}

	public function renderDefault()
	{
		$siteTree = new SiteTree();
		$this->template->siteTree = $siteTree->getSiteTree(false, null, $this->lang);
	}


	public function renderCreate()
	{
		$this->langSwitcherDisabled(true);

		$pageTypes = new PageTypes();
		$this->template->pageTypes = $pageTypes->getPageTypes(true);
	}

}