<?php

/**
 * 
 *
 */

class Front_SitemapPresenter extends BasePresenter
{

	public function renderDefault()
	{
		$uri = Environment::getHttpRequest()->getOriginalUri();
		$urlBase = $uri->scheme.'://'.$uri->authority.'/';

		$langs = explode(',', Environment::getConfig('siteSettings')->langs);

		Environment::getHttpResponse()->setContentType('application/xml');

		$pages = array();

		$siteTree = new SiteTree();
		foreach ($langs as $lang) {
			foreach ($siteTree->getFlatSiteTree($lang) as $page) {
				$page['url'] = $urlBase.($lang !== $langs[0] ? $lang.'/' : '').$page['url'];
				$pages[] = $page;
			}
		}
		$this->template->pages = $pages;
	}
    
}