<?php

/**
 * Základní model pro procházení struktury webu
 *
 */

interface ISiteExplorer
{

	/************ match metody pro DatabaseRouter ************/

	/**
	 * Hledá stránku o požadované kombinace jazyka a URL
	 *
	 */
	public function matchPageByUrl($lang, $url);


	/**
	 * Hledá stránky s přetížitelným action, jejichž URL je podřetězcem a zároveň začátkem daného URL fragmentu
	 * (tj. URL fragment obsahuje na začátku jejich URL)
	 *
	 */
	public function matchPagesByUrlFragment($lang, $urlFragment);

	
	/**
	 * Hledá stránku s požadovaným ID
	 *
	 */
	public function matchPageById($id);


	/**
	 * Vrací název webu
	 *
	 */
	public function getSiteName();
    
}