<?php

/**
 * 
 *
 */

class PageTypes extends Object
{

	public function getPageTypes($withCounts = false)
	{
		$query = dibi::select('[type], [name], [description], [singleton], [presenter], [action], [overloadAbility]');
		if ($withCounts === true) {
			$query->select('(SELECT COUNT([id]) FROM [page] WHERE [page-type_type] = [page-type.type]) instancesCount');
		}
		return $query->from('[page-type]')->orderBy('ord')->fetchAll();
	}


	public function getPageTypeName($type)
	{
		return dibi::fetchSingle('SELECT [name] FROM [page-type] WHERE [type] = %s', $type);
	}

}