<?php

/**
 * 
 *
 */

class Front_SearchPresenter extends ManagedPageBasePresenter
{
    public function startup()
	{

		$this->params['published'] = 1;
		$this->params['homepage'] = 0;

		// pokus o parsování jazyka
		$relativeUri = $this->getHttpRequest()->getUri()->getRelativeUri();
		$langs = explode(',', Environment::getConfig('siteSettings')->langs);
		$lang = substr($relativeUri, 0, 2);
		if (in_array($lang, $langs)) {
			$this->lang = $lang;
		} else {
			$this->lang = $langs[0];
		}

		$siteExplorer = new SiteExplorer();
		$homepage = $siteExplorer->getHomepage($this->lang);
		if ($homepage === false) {
			throw new BadRequestException();
		} else {
			$this->pageId = (int) $homepage['pageId'];
		}

		parent::startup();
	}
}