<?php

/**
 * @see ISiteState
 *
 */

class SiteState extends Object implements ISiteState
{

	private $state;


	public function offsetSet($offset, $value)
	{
		$this->state[$offset] = $value;
	}


	public function offsetExists($offset)
	{
		return isset($this->state[$offset]);
	}


	public function offsetUnset($offset)
	{
		unset($this->state[$offset]);
	}


	public function offsetGet($offset)
	{
		return isset($this->state[$offset]) ? $this->state[$offset] : null;
	}


	public function  &__get($name)
	{
		if (isset($this->state[$name])) {
			return $this->state[$name];
		}
		parent::__get($name);
	}

}