<?php

/**
 * 
 *
 */

abstract class SiteStateClientBaseModel extends Object
{

    private $siteStateProperty;


	public function getSiteState()
	{
		if ($this->siteStateProperty === null) {
			throw new InvalidStateException('Potomek SiteStateClientBaseModel nemá požadovanou vazbu na ISiteState.');
		}
		return $this->siteStateProperty;
	}


	public function initSiteState($siteState)
	{
		if ($siteState instanceof ISiteState) {
			$this->siteStateProperty = $siteState;
		} else {
			throw new InvalidArgumentException('Parametr metody initSiteState musí být instancí implementující rozhraní ISiteState.');
		}
	}
}